--- # Sample on how to get id list of the existent subnets of the default VPC from an AWS Region
- hosts: localhost
  connection: local
  gather_facts: no
  environment:
    AWS_PROFILE: "default"
  tasks:
  - name: Get default VPC facts
    ec2_vpc_net_facts:
      filters:
        "isDefault": "true" 
    register: default_vpc_facts
  - name: Get subnets facts
    ec2_vpc_subnet_facts:
      filters:
        vpc-id: "{{ default_vpc_facts.vpcs[0]['vpc_id'] }}"
    register: subnet_facts
  - name: Set subnet ids within variable of type list
    set_fact:
      list_subnet_ids: "{{ subnet_facts.subnets | map(attribute='availability_zone') | list }}"
  - name: Set subnet ids within variable of type string separated by comma
    set_fact:
      string_subnet_ids: "{{ subnet_facts.subnets | map(attribute='availability_zone') | list | join (',') }}"
  - name: Display list of subnet ids
    debug: var=list_subnet_ids
  - name: Display of ids separated by comma
    debug: var=string_subnet_ids

